Summary: An X Window System based tool for creating CDs.
Name: xcdroast
Version: 0.98a8
Release: 2
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.xcdroast.org/download/xcdroast-0.98alpha8.tar.gz
Source1: xcdroast.desktop
Source2: xcdroast.pamd
Source3: xcdroast.consapps
Patch1: xcdroast-0.98alpha8-rh.patch
Patch2: xcdroast-0.98alpha8-rh1.patch
Url: http://www.xcdroast.org/
BuildRoot: /var/tmp/%{name}-root
Requires: cdrecord = 1.9, mkisofs, cdda2wav

%description
X-CD-Roast provides a GUI interface for commands like cdrecord and
mkisofs. X-CD-Roast includes a self-explanatory X11 user interface,
automatic SCSI and IDE hardware setup, support for mastering of new
ISO9660 data CDs, support for production of new audio CDs, fast
copying of CDs without hard disk buffering, and a logfile option.

%prep
%setup -q -n xcdroast-0.98alpha8
%patch1 -p1
%patch2 -p1

%build
make PREFIX=/usr CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=/usr DESTDIR=$RPM_BUILD_ROOT

ln -sf consolehelper $RPM_BUILD_ROOT/usr/bin/xcdroast
mkdir -p $RPM_BUILD_ROOT/{etc/{X11/applnk/Applications,pam.d,security/console.apps},usr/sbin}
mv -f $RPM_BUILD_ROOT/usr/bin/xcdrgtk $RPM_BUILD_ROOT/usr/sbin/xcdroast
cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
cp -f %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/xcdroast
cp -f %{SOURCE3} $RPM_BUILD_ROOT/etc/security/console.apps/xcdroast

strip -R .comment $RPM_BUILD_ROOT/usr/sbin/xcdroast

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG DOCUMENTATION FAQ README* TRANSLATION.HOWTO COPYING
%dir /usr/lib/xcdroast-0.98
%config /etc/pam.d/xcdroast
%config /etc/security/console.apps/xcdroast
/usr/bin/*
/usr/sbin/*
/usr/lib/xcdroast-0.98/*
/etc/X11/applnk/Applications/xcdroast.desktop
 
%changelog
* Tue Feb 27 2001 Karsten Hopp <karsten@redhat.de>
- symlink should be relative
- fix strip

* Mon Feb 12 2001 Karsten Hopp <karsten@redhat.de>
- update to alpha8 (security bug in alpha7)
- use consolehelper
- fix bugzilla #26870

* Fri Dec 01 2000 Karsten Hopp <karsten@redhat.de>
- rebuild to fix /usr/share/doc permissions 

* Mon Nov 13 2000 Karsten Hopp <karsten@redhat.de>
- update to 0.98alpha7, which has a new menu to configure non-root mode
- added README.nonroot, README.atapi to documentation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix interoperability with mkisofs 1.13

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current, this fixes the "crashes on startup" bug (#16055)
  (and the maintainer confirms the "alpha" is more stable than the lastest
  "release").

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove another insistence on Tcl 8.0

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- fix dependencies

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build on ia64

* Fri Jun  9 2000 Jakub Jelinek <jakub@redhat.com>
- Remove patch for gcc 2.96 breakages, there were none
- Add patch to make et2c work with recent Tcl/Tk headers

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the ExclusiveArch: line; it compiles on sparc and it might
  even work there...
- Exclude ia64 for now; cdrecord isn't available there.

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild for main distribution
- fix build with TCL/Tk 8.3
- remove cdrecord and mkisofs from the package, add
  dependencies on the cdrecord and mkisofs packages instead
- fix up the code to find cdrecord where it belongs.
- put man pages in FHS locations
- fix build with kernel 2.4 headers
- work around gcc 2.96 breakages

* Sun May 28 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man page in correct place
- fix xcdroast to build with tcltk8.2
- add cdrecord-1.8 in xcdroast

* Tue Apr 04 2000 Ngo Than <than@redhat.de>
- include needed devices in the package (Bug #9997)

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- fix Bug 8564 and 8563

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- rushed by wanger.. not updated

* Wed May 20 1998 Michael Maher <mike@redhat.com>
- built and updated package
- added changelog
- edited paths  
